<?php
/*
Template Name: Portfolio
*/
?>

<?php get_header() ?>

<?php
$portfolio_columns = 4;
$columsP           = 'portfolio-c4';
$check_portfolio_columns = get_post_meta($post->ID, 'isc_portfolio_columns', true);
if($check_portfolio_columns == 3){$portfolio_columns = 3;}
if($check_portfolio_columns == 4){$portfolio_columns = 4;}

if($portfolio_columns == 3){$columsP = 'portfolio-c3';}
if($portfolio_columns == 4){$columsP = 'portfolio-c4';}


?>



<!-- Part 1: Wrap all page content here -->
<section id="wrap">
  <!-- Begin page content -->
  <div class="container">
  
  
  
  <div class="row-fluid">
  <div class="align-center">
  <div id="filters">
				<ul class="option-set" data-option-key="filter">
				  <li><a href="#filter" class="selected" data-option-value="*"><?php _e('All','gb_framework');?></a></li>
				  <?php
          $categories=  get_categories('taxonomy=tagportifolio&title_li='); 
          foreach ($categories as $category){ ?>
          <li><a href="#filter" data-option-value=".<?php echo $category->slug;?>" title="<?php _e('Filter by','gb_framework');?> <?php echo $category->name;?>"><?php echo $category->name;?></a></li>
          <?php }?> 
				</ul>
			</div>
  </div>
  </div>

	<!-- Begin portfolio -->
  
  </div>
  </section>
  
  <div id="portfolio-wrapper">
  
  
  
  <?php 
	 $portfolio = new WP_Query( array( 'post_type' => 'project', 'posts_per_page' => -1, 'order' => 'DESC', 'orderby' => 'date' ) ); 
	 if( $portfolio->have_posts() ) : ?>
	
		<?php while( $portfolio->have_posts() ) : $portfolio->the_post(); ?>
				
				<?php $image = get_post_meta($post->ID, 'isc_image1', true);
				      $image_video = get_post_meta($post->ID, 'isc_image_video', true); 
				      ?>
				
				<?php
				if(!empty($image) or !empty($image_video)) { ?>
									  <?php if(!empty($image)) { ?>
									  <?php $finalImg = $image;  $finalLink = $image; ?>
									  <?php }else{ ?>
									  <?php $finalImg = $image_video; ?>
									  <?php } ?>
								 <?php }else{ ?>
				<?php $finalImg = ''.get_template_directory_uri().'/images/no_img_p.jpg'; ?>
				<?php } ?>
				
				
				<?php $title_slide = get_post_field('post_title', $post->ID); ?>
				
				<?php 
				
			   $terms = get_the_terms($post->id,"tagportifolio");
			   $project_categories_title = NULL;
			   $project_categories = NULL;
			   
			   if ( !empty($terms) ){
			     foreach ( $terms as $term ) {
			       $project_categories .= strtolower($term->slug) . ' ';
			       $project_categories_title .= $term->name . ' ';
			     }
			   }

			  ?>
			  
			  <?php $permalink = get_permalink( $post->ID ); ?>
			  

			  <!-- Begin portfolio one -->
    <div class="<?php echo $columsP; ?> portfolio-item <?php echo $project_categories; ?> portfolio-float"> 
      <div class="portfolio_div">
					
					<ul id="da-thumbs" class="da-thumbs">
					<li>
						<a href="<?php echo $permalink; ?>">
							<img src="<?php echo $finalImg; ?>" alt="<?php echo $title_slide; ?>" />
							<div><span><?php echo $title_slide; ?></span>
							<i><?php _e('Project Details','gb_framework');?></i>
							</div>
							 
						</a>
					</li>
					</ul>
	</div>
	  <div class="clearfix"></div>
	  
    </div>
    
    
    
				
				
		<?php endwhile; ?>
		<?php else: ?>

	<?php endif; ?>
	<?php wp_reset_postdata(); ?>
  
  <div class="clearfix"></div>
  
  </div>
  
  <section id="wrap2">
  <!-- Begin page content -->
  <div class="container">
  
  
  
  <div class="row-fluid">
  <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
				
				<?php the_content(); ?>
	
		<?php endwhile; endif; ?>
  </div>
  

		
</div>   
</section>
<div class="clearfix"></div>

<?php get_footer() ?>